=== debian/changelog ===
sysdig (0.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Add new deps on libb64, libssl, libcurl to supprt new chisels.
  * Apply patch submitted upstream to fix disabling of bundled libraries.

 -- Harlan Lieberman-Berg <hlieberman@setec.io>  Fri, 13 Nov 2015 00:12:09 -0500
