=== debian/control ===
Source: sysdig
Section: admin
Priority: optional
Maintainer: Evgeni Golov <evgeni@debian.org>
Uploaders: Harlan Lieberman-Berg <hlieberman@setec.io>
Build-Depends: cmake,
               debhelper (>= 9),
               libb64-dev,
               libcurl4-openssl-dev,
               libjsoncpp-dev,
               libluajit-5.1-dev [i386 amd64 kfreebsd-i386 armel armhf powerpc powerpcspe mips mipsel] | liblua5.1-0-dev,
               libncurses5-dev,
               libssl-dev,
               pandoc (>= 1.11),
               zlib1g-dev
Build-Depends-Indep: dkms
Standards-Version: 3.9.6
Homepage: http://www.sysdig.org/
Vcs-Git: git://anonscm.debian.org/collab-maint/sysdig.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sysdig.git;a=summary

Package: sysdig
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: sysdig-dkms
Description: system-level exploration and troubleshooting tool
 Sysdig instruments your physical and virtual machines at the OS level
 by installing into the Linux kernel and capturing system calls and
 other OS events. Then, using sysdig's command line interface, you can
 filter and decode these events in order to extract useful information
 and statistics.
 .
 Sysdig can be used to inspect live systems in real-time, or to generate
 trace files that can be analyzed at a later stage.

Package: sysdig-dkms
Architecture: all
Depends: ${misc:Depends}
Description: system-level exploration and troubleshooting tool - kernel source
 Sysdig instruments your physical and virtual machines at the OS level
 by installing into the Linux kernel and capturing system calls and
 other OS events. Then, using sysdig's command line interface, you can
 filter and decode these events in order to extract useful information
 and statistics.
 .
 Sysdig can be used to inspect live systems in real-time, or to generate
 trace files that can be analyzed at a later stage.
 .
 This package contains the source for the kernel module of sysdig.
