## sysdig 0.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
-# Prior to doing anything, we make sure that we aren't trying to 
+# Prior to doing anything, we make sure that we aren't trying to
 # run cmake in-tree. (see Issue 71: https://github.com/draios/sysdig/issues/71)
 if(EXISTS CMakeLists.txt)
-	message(FATAL_ERROR 
+	message(FATAL_ERROR
 		"Looks like you are trying to run cmake from the base sysdig source directory.\n"
 		"** RUNNING CMAKE FROM THE BASE SYSDIG DIRECTORY WILL NOT WORK **\n"
 		"To Fix:\n"
@@ -17,7 +17,7 @@
 
 cmake_minimum_required(VERSION 2.8.2)
 
-project(sysdig) 
+project(sysdig)
 
 if(NOT DEFINED SYSDIG_VERSION)
 	set(SYSDIG_VERSION "0.1.1dev")
@@ -102,7 +102,7 @@
 #
 option(USE_BUNDLED_LUAJIT "Enable building of the bundled LuaJIT" ${USE_BUNDLED_DEPS})
 
-if(NOT USE_BUNDLED_LUAJIT OR NOT USE_BUNDLED_DEPS)
+if(NOT USE_BUNDLED_LUAJIT)
 	find_path(LUAJIT_INCLUDE luajit.h PATH_SUFFIXES luajit-2.0 luajit)
 	find_library(LUAJIT_LIB NAMES luajit luajit-5.1)
 	if(LUAJIT_INCLUDE AND LUAJIT_LIB)
@@ -145,7 +145,7 @@
 #
 # JsonCpp
 #
-option(USE_BUNDLED_JSONCPP "Enable building of the bundled jsoncpp" ON)
+option(USE_BUNDLED_JSONCPP "Enable building of the bundled jsoncpp" ${USE_BUNDLED_DEPS})
 
 set(JSONCPP_SRC "${PROJECT_SOURCE_DIR}/userspace/libsinsp/third-party/jsoncpp")
 
@@ -206,7 +206,7 @@
 #
 if(NOT WIN32)
 	option(USE_BUNDLED_NCURSES "Enable building of the bundled ncurses" ${USE_BUNDLED_DEPS})
-	
+
 	if(NOT USE_BUNDLED_NCURSES)
 		set(CURSES_NEED_NCURSES TRUE)
 		find_package(Curses REQUIRED)
@@ -230,7 +230,7 @@
 
 #
 # libb64
-# 
+#
 option(USE_BUNDLED_B64 "Enable building of the bundled b64" ${USE_BUNDLED_DEPS})
 
 if(NOT USE_BUNDLED_B64)
@@ -265,18 +265,20 @@
 	message(STATUS "Found OpenSSL: include: ${OPENSSL_INCLUDE_DIR}, lib: ${OPENSSL_LIBRARIES}")
 else()
 	set(OPENSSL_BUNDLE_DIR "${PROJECT_BINARY_DIR}/openssl-prefix/src/openssl")
-	set(OPENSSL_INCLUDE_DIR "${OPENSSL_BUNDLE_DIR}/include/")
-	set(OPENSSL_LIBRARIES "${OPENSSL_BUNDLE_DIR}/lib/")
-
+	set(OPENSSL_INSTALL_DIR "${OPENSSL_BUNDLE_DIR}/target")
+	set(OPENSSL_LIBRARY_SSL "${OPENSSL_INSTALL_DIR}/lib/libssl.a")
+	set(OPENSSL_LIBRARY_CRYPTO "${OPENSSL_INSTALL_DIR}/lib/libcrypto.a")
+
+	message(STATUS "Using bundled openssl in '${OPENSSL_BUNDLE_DIR}'")
 	message(STATUS "Using bundled openssl in '${OPENSSL_BUNDLE_DIR}'")
 
 	ExternalProject_Add(openssl
 		URL "http://download.draios.com/dependencies/openssl-1.0.2d.tar.gz"
 		URL_MD5 "38dd619b2e77cbac69b99f52a053d25a"
-		CONFIGURE_COMMAND ./config
+		CONFIGURE_COMMAND ./config shared --prefix=${OPENSSL_INSTALL_DIR}
 		BUILD_COMMAND ${CMD_MAKE}
 		BUILD_IN_SOURCE 1
-		INSTALL_COMMAND "")	
+		INSTALL_COMMAND ${CMD_MAKE} install)
 endif()
 
 #
@@ -295,19 +297,20 @@
 	if(NOT USE_BUNDLED_OPENSSL)
 		set(CURL_SSL_OPTION "")
 	else()
-		set(CURL_SSL_OPTION "--with-ssl=${OPENSSL_BUNDLE_DIR}")
+		set(CURL_SSL_OPTION "--with-ssl=${OPENSSL_INSTALL_DIR}")
 	endif()
 
 	message(STATUS "Using bundled curl in '${CURL_BUNDLE_DIR}'")
+	message(STATUS "Using SSL for curl in '${CURL_SSL_OPTION}'")
 
 	ExternalProject_Add(curl
 		DEPENDS openssl
 		URL "http://download.draios.com/dependencies/curl-7.45.0.tar.bz2"
 		URL_MD5 "62c1a352b28558f25ba6209214beadc8"
-		CONFIGURE_COMMAND ./configure ${CURL_SSL_OPTION} --disable-shared --enable-optimize --disable-curldebug --disable-rt --enable-http --disable-ftp --disable-file --disable-ldap --disable-ldaps --disable-rtsp --disable-telnet --disable-tftp --disable-pop3 --disable-imap --disable-smb --disable-smtp --disable-gopher --disable-sspi --disable-ntlm-wb --disable-tls-srp --without-winssl --without-darwinssl --without-ssl --without-polarssl --without-cyassl --without-nss --without-axtls --without-ca-path --without-libmetalink --without-librtmp --without-winidn --without-libidn --without-nghttp2
+		CONFIGURE_COMMAND ./configure ${CURL_SSL_OPTION} --disable-shared --enable-optimize --disable-curldebug --disable-rt --enable-http --disable-ftp --disable-file --disable-ldap --disable-ldaps --disable-rtsp --disable-telnet --disable-tftp --disable-pop3 --disable-imap --disable-smb --disable-smtp --disable-gopher --disable-sspi --disable-ntlm-wb --disable-tls-srp --without-winssl --without-darwinssl --without-polarssl --without-cyassl --without-nss --without-axtls --without-ca-path --without-libmetalink --without-librtmp --without-winidn --without-libidn --without-nghttp2
 		BUILD_COMMAND ${CMD_MAKE}
 		BUILD_IN_SOURCE 1
-		INSTALL_COMMAND "")	
+		INSTALL_COMMAND "")
 endif()
 
 add_subdirectory(userspace/sysdig)
