=== debian/changelog ===
sysdig (0.5.1-1) unstable; urgency=medium

  [ Axel Beckert ]
  * Update long package description to mention when the package sysdig
    suffices and when sysdig-dkms is needed, too.
  * Update Vcs-Browser to use cgit and https.

  [ Harlan Lieberman-Berg ]
  * New upstream release.
  * Drop patch applied upstream.

 -- Harlan Lieberman-Berg <hlieberman@setec.io>  Mon, 16 Nov 2015 22:15:50 -0500
