=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 Standards-Version: 3.9.6
 Homepage: http://www.sysdig.org/
 Vcs-Git: git://anonscm.debian.org/collab-maint/sysdig.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/sysdig.git;a=summary
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/sysdig.git
 
 Package: sysdig
 Architecture: any
@@ -32,6 +32,10 @@
  .
  Sysdig can be used to inspect live systems in real-time, or to generate
  trace files that can be analyzed at a later stage.
+ .
+ This package contains the tool to inspect trace files. If you want to
+ inspect a live system, you also need to install the according kernel
+ module, shipped in the package sysdig-dkms.
 
 Package: sysdig-dkms
 Architecture: all
