=== userspace/sysdig/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,9 @@
 include_directories("${JSONCPP_INCLUDE}")
-include_directories("${CURL_INCLUDE_DIR}")
 
 if(NOT WIN32)
+    if(NOT APPLE)
+        include_directories("${CURL_INCLUDE_DIR}")
+    endif()
 	include_directories("${CURSES_INCLUDE_DIR}")
 endif()
