=== debian/changelog ===
sysdig (0.8.0-1ubuntu3) xenial; urgency=medium

  * Fix build issues with 4.11 kernel headers (LP: #1727275)
    backports from upstream sysdig to support 4.11 and HWE 4.13
    kernels using the following commits:
    - [5fef96] Fix for kernel < 3.9 with CPU_ACCOUNTING_NATIVE disabled.
    - [29c40f] Fix cputime for kernel 3.8 and 2.6.18
    - [4596f0] Make sure to unlock mutex during error paths
    - [460f6e] Update probe module for kernel 4.11 (#829)

 -- Colin Ian King <colin.king@canonical.com>  Fri, 27 Oct 2017 15:13:11 +0100

sysdig (0.8.0-1ubuntu1) xenial; urgency=medium

  * Fix build issues with 4.10 HWE kernel headers (LP: #1704283)
    backports of upstream sysdig commits:
    - [39ac26] Fix compilation issues with kernel 4.9 (#684)
    - [68823f] Ifdef __access_remote_vm since the function was made
               publicly accessible (#711)
    - [bf396c] Support for updated cpu hotplug API in 4.10
               kernel (#744)

 -- Colin Ian King <colin.king@canonical.com>  Mon, 17 Jul 2017 14:57:52 +0100

sysdig (0.8.0-1) unstable; urgency=medium

  * Drop priority to extra due to dep on libjsoncpp.
  * New upstream release.
  * Rework d/copyright with updates.
  * Switch Vcs-git to https.

 -- Harlan Lieberman-Berg <hlieberman@setec.io>  Sat, 06 Feb 2016 18:48:27 -0500
