=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: sysdig
 Section: admin
-Priority: optional
-Maintainer: Evgeni Golov <evgeni@debian.org>
+Priority: extra
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Evgeni Golov <evgeni@debian.org>
 Uploaders: Harlan Lieberman-Berg <hlieberman@setec.io>
 Build-Depends: cmake,
                debhelper (>= 9),
@@ -16,7 +17,7 @@
 Build-Depends-Indep: dkms
 Standards-Version: 3.9.6
 Homepage: http://www.sysdig.org/
-Vcs-Git: git://anonscm.debian.org/collab-maint/sysdig.git
+Vcs-Git: https://anonscm.debian.org/collab-maint/sysdig.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/sysdig.git
 
 Package: sysdig
