=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

# This has to be exported to make some magic below work.
export DH_OPTIONS

# CMake doesn't use CPPFLAGS, pass them to CFLAGS/CXXFLAGS to enable the
# missing (hardening) flags.
export DEB_CFLAGS_MAINT_APPEND   = $(shell dpkg-buildflags --get CPPFLAGS)
export DEB_CXXFLAGS_MAINT_APPEND = $(shell dpkg-buildflags --get CPPFLAGS)


%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DUSE_BUNDLED_DEPS=OFF -DBUILD_DRIVER=OFF -DDIR_ETC="/etc" -DSYSDIG_VERSION="$(DEB_VERSION_UPSTREAM)"

override_dh_auto_install-indep:
	dh_auto_install -i
	dh_dkms -i -psysdig-dkms -- debian/tmp/usr/src/sysdig-$(DEB_VERSION_UPSTREAM)/dkms.conf

override_dh_install:
	dh_install --list-missing
