## sysdig 0.9.0

=== debian/changelog ===
sysdig (0.9.0-1ubuntu1) zesty; urgency=medium

  * v4.9 compatibility
    debian/patches/thread-info.patch 

 -- Tim Gardner <tim.gardner@canonical.com>  Wed, 14 Dec 2016 19:49:38 +0000

sysdig (0.9.0-1) unstable; urgency=medium

  * New upstream release.
  * Add patch to fix FTBFS. (Closes: #822498)
  * Change email address to @debian.org.
  * Update d/copyright to reflect new OpenSSL exception
  * Bump S-V; no changes required.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Mon, 25 Apr 2016 20:32:25 -0400
