=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Evgeni Golov <evgeni@debian.org>
-Uploaders: Harlan Lieberman-Berg <hlieberman@setec.io>
+Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
                libb64-dev,
@@ -15,7 +15,7 @@
                pandoc (>= 1.11),
                zlib1g-dev
 Build-Depends-Indep: dkms
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.sysdig.org/
 Vcs-Git: https://anonscm.debian.org/collab-maint/sysdig.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/sysdig.git
