## sysdig 0.13.0

=== debian/changelog ===
sysdig (0.13.0-2) unstable; urgency=medium

  * apply upstream patch to fix compatibility with linux >= 4.9.1
    Closes: #851752
  * fix Vcs-Git entry, it was missing a /git/

 -- Evgeni Golov <evgeni@debian.org>  Sat, 21 Jan 2017 17:51:19 +0100

sysdig (0.13.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #847059)
  * Adopt more aggressive hardening options.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Thu, 29 Dec 2016 23:23:44 -0500
