=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: sysdig
 Section: admin
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Evgeni Golov <evgeni@debian.org>
+Maintainer: Evgeni Golov <evgeni@debian.org>
 Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>
 Build-Depends: cmake,
-               debhelper (>= 9),
+               debhelper (>= 9.20120417~),
+               jq,
                libb64-dev,
                libcurl4-openssl-dev,
+               libjq-dev,
                libjsoncpp-dev,
                libluajit-5.1-dev [i386 amd64 kfreebsd-i386 armel armhf powerpc powerpcspe mips mipsel] | liblua5.1-0-dev,
                libncurses5-dev,
@@ -17,7 +18,7 @@
 Build-Depends-Indep: dkms
 Standards-Version: 3.9.8
 Homepage: http://www.sysdig.org/
-Vcs-Git: https://anonscm.debian.org/collab-maint/sysdig.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/sysdig.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/sysdig.git
 
 Package: sysdig
