## sysdig 0.16.0

=== debian/changelog ===
sysdig (0.16.0-1ubuntu1) artful; urgency=medium

  * Fix parsing of cgroups with empty subsys field (LP: #1700014)
    - Upstream commit 2044108ef1f863 to fix cgroups parsing for
      4.12 cgroups subsys field

 -- Colin Ian King <colin.king@canonical.com>  Tue, 27 Jun 2017 09:57:11 +0100

sysdig (0.16.0-1) unstable; urgency=medium

  * New upstream version 0.16.0
    + Adds support for kernel 4.11
      LP: #1691846

 -- Evgeni Golov <evgeni@debian.org>  Sat, 20 May 2017 08:56:52 +0200

sysdig (0.15.1-1) unstable; urgency=medium

  * New upstream version 0.15.1
    + Adds support for kernel 4.10
      Closes: #858599
  * tighten build-dep on libjsoncpp-dev
  * drop build-dep on jq, it's redundant to libjq-dev
  * drop linux-4.9.1-compat patch, it was from upstream

 -- Evgeni Golov <evgeni@debian.org>  Sun, 30 Apr 2017 17:43:36 +0200
