## sysdig 0.17.0

=== debian/changelog ===
sysdig (0.17.0-1) unstable; urgency=medium

  * New upstream version 0.17.0
  * Update priority to optional for Policy v4.0.

 -- Harlan Lieberman-Berg <hlieberman@debian.org>  Mon, 07 Aug 2017 21:17:05 -0400
