=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: sysdig
 Section: admin
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Evgeni Golov <evgeni@debian.org>
+Priority: optional
+Maintainer: Evgeni Golov <evgeni@debian.org>
 Uploaders: Harlan Lieberman-Berg <hlieberman@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9.20120417~),
@@ -16,7 +15,7 @@
                pandoc (>= 1.11),
                zlib1g-dev
 Build-Depends-Indep: dkms
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://www.sysdig.org/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/sysdig.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/sysdig.git
